<?php
$equipe_id = $_GET['equipe'];


function nome_equipe($equipe_id)
{

    include "conexao.php";
    $query_amigo = "SELECT nome_cli FROM cliente where idcliente = '$equipe_id'";
    $executa_query = mysqli_query($db, $query_amigo);
    while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {
        $nome_cli     = $buscar_amigo["nome_cli"];
    }
    return $nome_cli;
}

$nome_equipe = nome_equipe($equipe_id);

function percentual_equipe($equipe)
{

    include "conexao.php";

    $query_amigo = "SELECT percentual_corretores FROM comissao_equipe where equipe_id= '$equipe' ORDER BY idcomissaoequi DESC LIMIT 1";
    $executa_query = mysqli_query($db, $query_amigo);
    while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {
        $percentual_corretores     = $buscar_amigo["percentual_corretores"];
    }
    return $percentual_corretores;
}

function tipo_cadastro($cliente_id)
{
    include "conexao.php";
    $dados = "";
    $query_amigo = "SELECT * FROM cliente_tipo
                    INNER JOIN tipo_cliente ON cliente_tipo.idtipo = tipo_cliente.idtipo
                    where idcliente = '$cliente_id'";
    $executa_query = mysqli_query($db, $query_amigo);

    while ($reg = mysqli_fetch_assoc($executa_query)) { //--verifica se são amigos

        $descricao_tipo       = $reg["descricao_tipo"];

        $dados .= $descricao_tipo . " / ";
    }

    return $dados;
}


$percentual = percentual_equipe($equipe_id);

$percentual = explode("|",  $percentual);


include "conexao.php";
$query_amigo = "SELECT * FROM cliente
                 where imob_id = '$equipe_id' or idcliente = '$equipe_id' order by nome_cli Asc ";

$executa_query = mysqli_query($db, $query_amigo) or die("Erro ao listar empreendimento");


while ($reg = mysqli_fetch_assoc($executa_query)) { //--verifica se são amigos

    $idcliente       = $reg["idcliente"];
    $nome_cli        = $reg["nome_cli"];

    $tipo_retorno = tipo_cadastro($idcliente);


    $dados[$idcliente] =  $nome_cli . " - $tipo_retorno";
}

foreach ($percentual as  $value) {
    $trata = explode("-", $value);

    if ($trata[1] == '' or $trata[1] == null) {

        $trata[1] = 0;
    }

    $percentual[$trata[0]] = $trata[1];
}
$array_dados = array('dados' => $dados, 'percentual' => $percentual, 'nome_equipe' => $nome_equipe);echo json_encode($array_dados);
